import axios from 'axios';
import { useUserStore } from '@/stores';
const axiosInstance = axios.create({
  baseURL: 'http://wzpmc.cn:18080/'
});
axiosInstance.interceptors.request.use((config) => {
  const userStore = useUserStore();
  config.headers.setAuthorization(userStore.token, false);
  return config;
});
axiosInstance.interceptors.response.use((response) => {
  const userStore = useUserStore();
  const authorization = response.headers['Set-Authorization'] as string | undefined;
  if (authorization !== undefined) {
    userStore.token = authorization;
  }
  return response;
});
export default axiosInstance;
